/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * acosh(vec2(1.0, 1.0)) => vec2(0.0, 0.0)
 * acosh(vec2(1.1, 2.0)) => vec2(0.93932641, 1.5543587)
 * acosh(vec2(11.0, 1e+10)) => vec2(3.0889699, 23.718998)
 */
#version 130

void main()
{
  float[distance(acosh(vec2(1.0, 1.0)), vec2(0.0, 0.0)) <= 0.00014142135 ? 1 : -1] array0;
  float[distance(acosh(vec2(1.1, 2.0)), vec2(0.93932641, 1.5543587)) <= 0.0018161401 ? 1 : -1] array1;
  float[distance(acosh(vec2(11.0, 1e+10)), vec2(3.0889699, 23.718998)) <= 0.023919294 ? 1 : -1] array2;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length());
}
